> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/attachments/add-extra-attachment.md).

# Add Extra Attachment

It's possible to manually add an extra attachment to the report by passing a file URL to this method.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
let url = URL(fileURLWithPath: "filePath")
Luciq.addFileAttachmentWithURL(filePath, fileName)
//OR
Luciq.addFileAttachment(with: data, andName: "attachment_1.log")
//Name field is optional
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
NSURL *url = [NSURL fileURLWithPath:@"filePath"];
[Luciq addFileAttachmentWithURL:url];
//OR
NSData *data = [[NSData alloc] init];
[Luciq addFileAttachmentWithData:data andName:@"attachment_1.log"];
//Name field is optional
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.addFileAttachment(Uri.fromFile(file), "file_name.txt");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.addFileAttachment(Uri.fromFile(file), "file_name.txt")
```

{% endtab %}

{% tab title="RN" %}

```javascript
//iOS
Luciq.addFileAttachment(filePath)

//Android
Luciq.addFileAttachment(filePath, fileName)
```

{% endtab %}

{% tab title="Flutter" %}

```dart
Luciq.addFileAttachment(filePath, fileName)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/report-data/attachments/add-extra-attachment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
